/*
 * @Author: your name
 * @Date: 2021-06-15 14:11:00
 * @LastEditTime: 2021-07-12 13:40:14
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \taxformtoolengine\src\store\vuex.js
 */
/**
 * @Author ygy
 * @Description //TODO 数据存储器
 * @Date 13:50 2020/5/19
 **/
export const store = new Vuex.Store({ // 注意Store的S大写
    state: {
        showMenu: false,
        data: {
            platform: '',
            token: '123',
            loading: false,
            scheduleCode: '',
            parent: null,
            saveStatus: false,
            openData: {},
            engines: {},
            configData: {},
            menuList: [],
            bblxHeader: {},
            defaultMenu: '',
            checkList: [],
            processStatus: '',
            selectInfoBar: '',
            saveStructure: {},
            nsrsbq: '',
            saveDisable: false,
            sbResultData: {}
        },
    },
    mutations: {
        platform(state, value) {
            state.data.platform = value
        },
        token(state, value) {
            state.data.token = value
        },
        loading(state, value) {
            state.data.loading = value
        },
        scheduleCode(state, value) {
            state.data.scheduleCode = value
        },
        parent(state, value) {
            state.data.parent = value
        },
        saveStatus(state, value) {
            state.data.saveStatus = value
        },
        openData(state, value) {
            state.data.openData = value
        },
        engines(state, value) {
            state.data.engines = value
        },
        configData(state, value) {
            state.data.configData = value
        },
        menuList(state, value) {
            state.data.menuList = value
        },
        bblxHeader(state, value) {
            state.data.bblxHeader = value
        },
        defaultMenu(state, value) {
            state.data.defaultMenu = value
        },
        checkList(state, value) {
            state.data.checkList = value
        },
        processStatus(state, value) {
            state.data.processStatus = value
        },
        selectInfoBar(state, value) {
            state.data.selectInfoBar = value
        },
        saveStructure(state, value) {
            state.data.saveStructure = value
        },
        nsrsbq(state, value) {
            state.data.nsrsbq = value
        },
        saveDisable(state, value) {
            state.data.saveDisable = value
        },
        sbResultData(state, value) {
            state.data.sbResultData = value
        },
    }
})